xenocara/util/macros/Makefile.in
2006-11-25 16:15:45 +00:00

488 lines
17 KiB
Makefile

# Makefile.in generated by automake 1.9.6 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
@SET_MAKE@
# Copyright 2005 Red Hat, Inc.
#
# Permission to use, copy, modify, distribute, and sell this software
# and its documentation for any purpose is hereby granted without
# fee, provided that the above copyright notice appear in all copies
# and that both that copyright notice and this permission notice
# appear in supporting documentation, and that the name of Red Hat
# not be used in advertising or publicity pertaining to distribution
# of the software without specific, written prior permission. Red
# Hat makes no representations about the suitability of this software
# for any purpose. It is provided "as is" without express or implied
# warranty.
#
# RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
# NO EVENT SHALL RED HAT BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
# OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
# NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
$(srcdir)/Makefile.in $(srcdir)/xorg-macros.m4.in \
$(top_srcdir)/configure COPYING ChangeLog install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = xorg-macros.m4
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(aclocaldir)"
aclocalDATA_INSTALL = $(INSTALL_DATA)
DATA = $(aclocal_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
{ test ! -d $(distdir) \
|| { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
&& rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMCMDECHO = @AMCMDECHO@
AMDEPSHOWCMDSAT = @AMDEPSHOWCMDSAT@
AMPRETTYECHO = @AMPRETTYECHO@
AMSHOWCMDSAT = @AMSHOWCMDSAT@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
LT_QUIET = @LT_QUIET@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
aclocaldir = $(datadir)/aclocal
aclocal_DATA = xorgversion.m4 xorg-macros.m4
EXTRA_DIST = $(aclocal_DATA) ChangeLog
DISTCLEANFILES = ChangeLog
all: all-am
.SUFFIXES:
am--refresh:
@:
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
@AMPRETTYECHO@ ' [AUTOMAKE ] rebuild all'; \
@AMCMDECHO@ ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
cd $(srcdir) && $(AUTOMAKE) --foreign \
&& exit 0; \
exit 1;; \
esac; \
done; \
@AMPRETTYECHO@ ' [AUTOMAKE ] Makefile'; \
@AMCMDECHO@ ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
@AMPRETTYECHO@ ' [SH ] config.status'; \
@AMCMDECHO@ ' $(SHELL) ./config.status'; \
$(SHELL) ./config.status;; \
*) \
@AMPRETTYECHO@ ' [SH ] config.status $@'; \
@AMCMDECHO@ ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
@@AMPRETTYECHO@ ' [SH ] config.status'
@AMSHOWCMDSAT@$(SHELL) ./config.status --recheck
$(top_srcdir)/configure: $(am__configure_deps)
@@AMPRETTYECHO@ ' [AUTOCONF ] Regenerate'
@AMSHOWCMDSAT@cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
@@AMPRETTYECHO@ ' [ACLOCAL ] Regenerate'
@AMSHOWCMDSAT@cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
xorg-macros.m4: $(top_builddir)/config.status $(srcdir)/xorg-macros.m4.in
cd $(top_builddir) && $(SHELL) ./config.status $@
uninstall-info-am:
install-aclocalDATA: $(aclocal_DATA)
@$(NORMAL_INSTALL)
@@AMPRETTYECHO@ ' [MKDIR ] $(DESTDIR)$(aclocaldir)'
@AMSHOWCMDSAT@test -z "$(aclocaldir)" || $(mkdir_p) "$(DESTDIR)$(aclocaldir)"
@list='$(aclocal_DATA)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
f=$(am__strip_dir) \
@AMPRETTYECHO@ " [INSTALL ] '$$d$$p' -> '$(DESTDIR)$(aclocaldir)/$$f'"; \
@AMCMDECHO@ " $(aclocalDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(aclocaldir)/$$f'"; \
$(aclocalDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(aclocaldir)/$$f"; \
done
uninstall-aclocalDATA:
@$(NORMAL_UNINSTALL)
@list='$(aclocal_DATA)'; for p in $$list; do \
f=$(am__strip_dir) \
@AMPRETTYECHO@ " [RM ] $(DESTDIR)$(aclocaldir)/$$f"; \
@AMCMDECHO@ " rm -f '$(DESTDIR)$(aclocaldir)/$$f'"; \
rm -f "$(DESTDIR)$(aclocaldir)/$$f"; \
done
tags: TAGS
TAGS:
ctags: CTAGS
CTAGS:
distdir: $(DISTFILES)
@AMSHOWCMDSAT@$(am__remove_distdir)
@@AMPRETTYECHO@ ' [MKDIR ] $(distdir)'
@AMSHOWCMDSAT@mkdir $(distdir)
@@AMPRETTYECHO@ ' [MKDIR ] $(distdir)/.'
@AMSHOWCMDSAT@$(mkdir_p) $(distdir)/.
@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
list='$(DISTFILES)'; for file in $$list; do \
case $$file in \
$(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
$(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
esac; \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
if test "$$dir" != "$$file" && test "$$dir" != "."; then \
dir="/$$dir"; \
$(mkdir_p) "$(distdir)$$dir"; \
else \
dir=''; \
fi; \
if test -d $$d/$$file; then \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
fi; \
cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
else \
test -f $(distdir)/$$file \
|| cp -p $$d/$$file $(distdir)/$$file \
|| exit 1; \
fi; \
done
@AMSHOWCMDSAT@$(MAKE) $(AM_MAKEFLAGS) \
top_distdir="$(top_distdir)" distdir="$(distdir)" \
dist-hook
@AMSHOWCMDSAT@-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
! -type d ! -perm -400 -exec chmod a+r {} \; -o \
! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
|| ( @AMPRETTYECHO@ ' [CHMOD ] a+r $(distdir)'; chmod -R a+r $(distdir) )
dist-gzip: distdir
@@AMPRETTYECHO@ ' [TAR.GZ ] $(distdir).tar.gz'
@AMSHOWCMDSAT@tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
@AMSHOWCMDSAT@$(am__remove_distdir)
dist-bzip2: distdir
@@AMPRETTYECHO@ ' [TAR.BZ2 ] $(distdir).tar.bz2'
@AMSHOWCMDSAT@tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
@AMSHOWCMDSAT@$(am__remove_distdir)
dist-tarZ: distdir
@@AMPRETTYECHO@ ' [TAR.Z ] $(distdir).tar.Z'
@AMSHOWCMDSAT@tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
@AMSHOWCMDSAT@$(am__remove_distdir)
dist-shar: distdir
@@AMPRETTYECHO@ ' [SHAR.GZ ] $(distdir).shar.gz'
@AMSHOWCMDSAT@shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
@AMSHOWCMDSAT@$(am__remove_distdir)
dist-zip: distdir
@@AMPRETTYECHO@ ' [ZIP ] $(distdir).zip'
@AMSHOWCMDSAT@-rm -f $(distdir).zip
@AMSHOWCMDSAT@zip -rq $(distdir).zip $(distdir)
@AMSHOWCMDSAT@$(am__remove_distdir)
dist dist-all: distdir
@@AMPRETTYECHO@ ' [TAR.GZ ] $(distdir).tar.gz'
@AMSHOWCMDSAT@tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
@@AMPRETTYECHO@ ' [TAR.BZ2 ] $(distdir).tar.bz2'
@AMSHOWCMDSAT@tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
@AMSHOWCMDSAT@$(am__remove_distdir)
# This target untars the dist file and tries a VPATH configuration. Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
@AMSHOWCMDSAT@case '$(DIST_ARCHIVES)' in \
*.tar.gz*) \
@AMPRETTYECHO@ ' [UNTAR.GZ ] $(distdir).tar.gz'; \
GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
*.tar.bz2*) \
@AMPRETTYECHO@ ' [UNTAR.BZ2 ] $(distdir).tar.bz2'; \
bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
*.tar.Z*) \
@AMPRETTYECHO@ ' [UNTAR.Z ] $(distdir).tar.Z'; \
uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
*.shar.gz*) \
@AMPRETTYECHO@ ' [UNSHAR.GZ ] $(distdir).shar.gz'; \
GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
*.zip*) \
@AMPRETTYECHO@ ' [UNZIP ] $(distdir).zip'; \
unzip $(distdir).zip ;;\
esac
@AMSHOWCMDSAT@chmod -R a-w $(distdir); chmod a+w $(distdir)
@AMSHOWCMDSAT@mkdir $(distdir)/_build
@AMSHOWCMDSAT@mkdir $(distdir)/_inst
@AMSHOWCMDSAT@chmod a-w $(distdir)
dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
&& dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
&& cd $(distdir)/_build \
&& ../configure --srcdir=.. --prefix="$$dc_install_base" \
$(DISTCHECK_CONFIGURE_FLAGS) \
&& $(MAKE) $(AM_MAKEFLAGS) \
&& $(MAKE) $(AM_MAKEFLAGS) dvi \
&& $(MAKE) $(AM_MAKEFLAGS) check \
&& $(MAKE) $(AM_MAKEFLAGS) install \
&& $(MAKE) $(AM_MAKEFLAGS) installcheck \
&& $(MAKE) $(AM_MAKEFLAGS) uninstall \
&& $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
distuninstallcheck \
&& chmod -R a-w "$$dc_install_base" \
&& ({ \
(cd ../.. && umask 077 && mkdir "$$dc_destdir") \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
} || { rm -rf "$$dc_destdir"; exit 1; }) \
&& rm -rf "$$dc_destdir" \
&& $(MAKE) $(AM_MAKEFLAGS) dist \
&& rm -rf $(DIST_ARCHIVES) \
&& $(MAKE) $(AM_MAKEFLAGS) distcleancheck
$(am__remove_distdir)
@(echo "$(distdir) archives ready for distribution: "; \
list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
distuninstallcheck:
@cd $(distuninstallcheck_dir) \
&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
|| { echo "ERROR: files left after uninstall:" ; \
if test -n "$(DESTDIR)"; then \
echo " (check DESTDIR support)"; \
fi ; \
$(distuninstallcheck_listfiles) ; \
exit 1; } >&2
distcleancheck: distclean
@if test '$(srcdir)' = . ; then \
echo "ERROR: distcleancheck can only run from a VPATH build" ; \
exit 1 ; \
fi
@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
|| { echo "ERROR: files left in build directory after distclean:" ; \
$(distcleancheck_listfiles) ; \
exit 1; } >&2
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
@AMSHOWCMDSAT@for dir in "$(DESTDIR)$(aclocaldir)"; do \
test -z "$$dir" || ( @AMPRETTYECHO@ " [MKDIR ] $$dir"; $(mkdir_p) "$$dir" ); \
done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
@AMSHOWCMDSAT@$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
clean-generic:
distclean-generic:
@@AMPRETTYECHO@ ' [RM ] $(CONFIG_CLEAN_FILES)'
@AMSHOWCMDSAT@-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
@@AMPRETTYECHO@ ' [RM ] $(DISTCLEANFILES)'
-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-am
clean-am: clean-generic mostlyclean-am
distclean: distclean-am
@@AMPRETTYECHO@ ' [RM ] $(am__CONFIG_DISTCLEAN_FILES)'
@AMSHOWCMDSAT@-rm -f $(am__CONFIG_DISTCLEAN_FILES)
@@AMPRETTYECHO@ ' [RM ] Makefile'
@AMSHOWCMDSAT@-rm -f Makefile
distclean-am: clean-am distclean-generic
dvi: dvi-am
dvi-am:
html: html-am
info: info-am
info-am:
install-data-am: install-aclocalDATA
install-exec-am:
install-info: install-info-am
install-man:
installcheck-am:
maintainer-clean: maintainer-clean-am
@@AMPRETTYECHO@ ' [RM ] $(am__CONFIG_DISTCLEAN_FILES)'
@AMSHOWCMDSAT@-rm -f $(am__CONFIG_DISTCLEAN_FILES)
@@AMPRETTYECHO@ ' [RM ] autom4te.cache/'
@AMSHOWCMDSAT@-rm -rf $(top_srcdir)/autom4te.cache
@@AMPRETTYECHO@ ' [RM ] Makefile'
@AMSHOWCMDSAT@-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-generic
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am: uninstall-aclocalDATA uninstall-info-am
.PHONY: all all-am am--refresh check check-am clean clean-generic dist \
dist-all dist-bzip2 dist-gzip dist-hook dist-shar dist-tarZ \
dist-zip distcheck distclean distclean-generic distcleancheck \
distdir distuninstallcheck dvi dvi-am html html-am info \
info-am install install-aclocalDATA install-am install-data \
install-data-am install-exec install-exec-am install-info \
install-info-am install-man install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
pdf-am ps ps-am uninstall uninstall-aclocalDATA uninstall-am \
uninstall-info-am
.PHONY: ChangeLog
ChangeLog:
(cd $(srcdir) && git-log) > ChangeLog
dist-hook: ChangeLog
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: